Resolve static dictionary data by property IDs
POST
/api/json/hotels/getPropertiesInfo
const url = 'https://dictionary.example.invalid/api/json/hotels/getPropertiesInfo';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"propertyIds":["00000000-0000-4000-8000-000000000101"],"isActive":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dictionary.example.invalid/api/json/hotels/getPropertiesInfo \ --header 'Content-Type: application/json' \ --data '{ "propertyIds": [ "00000000-0000-4000-8000-000000000101" ], "isActive": true }'Returns static dictionary payload for requested propertyIds.
Missing IDs are silently skipped in response (items contains only found entries).
Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
object
propertyIds
required
Property IDs used by SPO (GetResultsResponse.Property.property_id, UUID).
Array<string>
isActive
Optional active filter:
- true: return only active properties
- false: return only inactive properties
- omitted: return both active and inactive
boolean
Example
{ "propertyIds": [ "00000000-0000-4000-8000-000000000101" ], "isActive": true}Responses
Заголовок раздела «Responses»Static payload for found properties
Media typeapplication/json
object
success
required
boolean
errors
required
Array<string>
actions
required
Array<string>
platform
required
string
uuid
required
string format: uuid
timestamp
required
integer format: int64
success
required
boolean
data
required
object
items
required
Found properties only.
Array<object>
object
propertyId
required
Join key for SPO merge (UUID).
string format: uuid
sPropertyId
Internal Sutochno ID in s<digits> format.
string
isActive
required
Property archival flag.
boolean
title
required
string
type
Localized SPO property type title (current set from dictionary mapping, e.g. ‘Отель’, ‘Апартаменты’, ‘Квартира’, ‘Частный дом’, ‘Комната’, ‘Койко-место в хостеле’).
string
stars
integer format: int32
isSuperhost
boolean
freeDepositForSuperguest
boolean
convenientLocation
boolean
rating
object
value
number format: float
count
integer format: int32
media
object
images
Array<object>
object
url
required
string
blurHash
string
location
object
lat
number format: double
lng
number format: double
relations
object
ropeway
Array<object>
object
title
string
distance
integer format: int32
sea
Array<object>
object
title
string
distance
integer format: int32
name
string
firstLine
boolean
metro
Array<object>
object
title
string
distance
integer format: int32
walkTime
integer format: int32
lineColor
string
address
object
title
string
house
string
country
object
id
string
title
string
region
object
id
string
title
string
city
object
id
string
title
string
place
object
id
string
title
string
streetType
object
id
string
title
string
street
object
id
string
title
string
rooms
Dictionary room categories. SPO matches UniversalOffer.roomType.id with rooms[].id.
Array<object>
object
id
required
string
title
string
properties
object
beds
integer format: int32
area
integer format: int32
rooms
integer format: int32
bedrooms
integer format: int32
maxGuests
integer format: int32
windowViews
string
Example
{ "success": true, "errors": [ null ], "actions": [ null ], "platform": "DEMO_VALUE", "uuid": "00000000-0000-4000-8000-000000000101", "timestamp": 1, "data": { "items": null }}Invalid request payload
Media typeapplication/json
object
success
required
boolean
data
required
object
errors
required
Array<string>
actions
required
Array<string>
platform
required
string
uuid
required
string format: uuid
timestamp
required
integer format: int64
Example
{ "success": false, "data": {}, "errors": [ "DEMO_VALUE" ], "actions": [ "DEMO_VALUE" ], "platform": "DEMO_VALUE", "uuid": "00000000-0000-4000-8000-000000000101", "timestamp": 1}Method not allowed
Media typeapplication/json
object
success
required
boolean
data
required
object
errors
required
Array<string>
actions
required
Array<string>
platform
required
string
uuid
required
string format: uuid
timestamp
required
integer format: int64
Example
{ "success": false, "data": {}, "errors": [ "DEMO_VALUE" ], "actions": [ "DEMO_VALUE" ], "platform": "DEMO_VALUE", "uuid": "00000000-0000-4000-8000-000000000101", "timestamp": 1}Internal server error
Media typeapplication/json
object
success
required
boolean
data
required
object
errors
required
Array<string>
actions
required
Array<string>
platform
required
string
uuid
required
string format: uuid
timestamp
required
integer format: int64
Example
{ "success": false, "data": {}, "errors": [ "DEMO_VALUE" ], "actions": [ "DEMO_VALUE" ], "platform": "DEMO_VALUE", "uuid": "00000000-0000-4000-8000-000000000101", "timestamp": 1}